API Documentation
<access-service>/api/v1/dashboard/users/roles

URL structure

https://access-service.xy-company.com/api/v1/dashboard/users/roles

Supported methods and overview

  • GET - used to retrieve a summary of information about the Covata users assigned to each role combination (i.e. individual roles as well as combinations of them) on the Covata Platform.

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves a summary of information about the numbers and percentages of Covata users assigned to each role combination (i.e. individual roles as well as combinations of them) on the Covata Platform.

Supported roles

This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6

Returns

A JSON-formatted response containing the following members:

  • totalUserCount - .
  • breakdownByRoles - An array containing information about the association of Covata users with their roles on the Covata Platform. Each element of this array contains information about the associations between all Covata users with their current role combinations and is represented as an object, containing the following members:

    • roles - .
    • userCount - .
    • percentOfUsers - .

    Example (response from ...):